######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..5\n"; };
END {print "not ok 1\n" unless $loaded;}
use Math::Quaternion qw(qtrn);
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

use Config;
$^W = 1;

my $q1 = qtrn(2, 3, 5, 7);
my $q2 = qtrn();
$q2 = $q1 + $q2;

print "not" if ("$q2" ne "2 + 3i + 5j + 7k");
print "ok 2\n";

my $q3 = $q1 + $q2;
print "not" if ("$q3" ne "4 + 6i + 10j + 14k");
print "ok 3\n";

my $q4 = $q3 + qtrn(11, 13, 17, 19);
print "not" if ("$q4" ne "15 + 19i + 27j + 33k");
print "ok 4\n";

my $q5 = $q4 + 1;
print "not" if ("$q5" ne "16 + 19i + 27j + 33k");
print "ok 5\n";

1;
